Apache Batik 1.13 is vulnerable to server-side request forgery, caused by improper input validation by the NodePickerPanel. By using a specially-crafted argument, an attacker could exploit this vulnerability to cause the underlying server to make arbitrary GET requests.
Published 2021-02-24 18:15:11
Updated 2024-02-01 01:24:47
View at NVD,   CVE.org
Vulnerability category: Server-side request forgery (SSRF) Input validation

Exploit prediction scoring system (EPSS) score for CVE-2020-11987

0.72%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 80 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2020-11987

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
6.4
MEDIUM AV:N/AC:L/Au:N/C:P/I:P/A:N
10.0
4.9
NIST
8.2
HIGH CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:L/A:N
3.9
4.2
NIST

CWE ids for CVE-2020-11987

  • The product receives input or data, but it does not validate or incorrectly validates that the input has the properties that are required to process the data safely and correctly.
    Assigned by: nvd@nist.gov (Primary)
  • The web server receives a URL or similar request from an upstream component and retrieves the contents of this URL, but it does not sufficiently ensure that the request is being sent to the expected destination.
    Assigned by: nvd@nist.gov (Primary)

References for CVE-2020-11987

Products affected by CVE-2020-11987

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!